# Deployments

### UPA v1.2.0 (Ethereum mainnet)

```json
{
    "verifier":"0x3B946743DEB7B6C97F05B7a31B23562448047E3E",
    "deploymentBlockNumber":20528085,
    "deploymentTx":"0xd84efac6fc5304747cf72def5bcb7bc2248bd43a6ea4fa7e00f6097269880077",
    "chainId":"1"
}
```

[Etherscan Link](https://etherscan.io/address/0x3B946743DEB7B6C97F05B7a31B23562448047E3E)

### UPA v2.0.0 (Sepolia)

```json
{
    "verifier":"0x3B946743DEB7B6C97F05B7a31B23562448047E3E",
    "deploymentBlockNumber":6405136,
    "deploymentTx":"0xa8626318b76b71cd21cdfb93ef67c9571d94e01383e852a3eb6dc5dc6188808e",
    "chainId":"11155111"
}
```

[Sepolia Etherscan Link](https://sepolia.etherscan.io/address/0x3B946743DEB7B6C97F05B7a31B23562448047E3E)

### UPA v2.0.0 (World Chain Sepolia)

```json
{
    "verifier":"0xF0acdB9Dbd8d14EE159cda2e6E0d5292590246AC",
    "deploymentBlockNumber":3160300,
    "deploymentTx":"0x2eb6f704b1fa6085985997bfa19f6f1f54592eab5c934fd778c63cc149c4b6d3",
    "chainId":"4801"
}
```

[World Chain Sepolia Explorer Link](https://worldchain-sepolia.explorer.alchemy.com/address/0xF0acdB9Dbd8d14EE159cda2e6E0d5292590246AC)

### UPA v2.0.0 (World Chain Mainnet)

```json
{
    "verifier":"0x913aB040d7a0AD38Ad4eC8845847Cc5F49D2b42A",
    "deploymentBlockNumber":4062674,
    "deploymentTx":"0xc50a3419abe03ef9da21188ed9f4a72a99b9c7543438cbce6e7d3baf3b213a3f",
    "chainId":"480"
}

```

[World Chain Mainnet Explorer Link](https://worldchain-mainnet.explorer.alchemy.com/address/0x913aB040d7a0AD38Ad4eC8845847Cc5F49D2b42A)

### Base Chain v2.0.0 (Mainnet)

Supports off-chain submisison, batch size `64`.&#x20;

```json
{
    "verifier":"0x2818947A104B3E437821fD39ba0b76e7B415323f",
    "deploymentBlockNumber":22930094,
    "deploymentTx":"0xfadd3ed1f9a00ddaa47d147ee32a66511a75df6de7f4988f96fce6d441da247f",
    "chainId":"8453"
}
```

Deposit Contract Address:

```
0x4cB806AcE6603a53a0220050DC7e19bB3eBAA004
```

Off Chain Submission Endpoint

```
offchain-server-v2-0-base-mainnet.prod.nebra.one
```

### &#x20;<a href="#upa-v20-sepolia-upgrade" id="upa-v20-sepolia-upgrade"></a>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nebra.one/developer-guide/deployments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
